rootskel-gtk (11.0.2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Make gbp produce the right tag format.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 Aug 2022 18:48:38 +0200

rootskel-gtk (11.0.1) unstable; urgency=medium

  * Fix colour in GTK theme

 -- Jonathan Carter <jcc@debian.org>  Mon, 15 Feb 2021 20:21:48 +0200

rootskel-gtk (1.42) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927547)

  [ Jonathan Carter ]
  * Update to debhelper-compat (=13)
  * Declare standards version 4.5.1
  * Declare Rules-Requires-Root: no
  * Change copyright file to machine readable format
  * Update to Homeworld theme for Debian 11

 -- Jonathan Carter <jcc@debian.org>  Sat, 19 Dec 2020 15:43:01 +0200

rootskel-gtk (1.41) unstable; urgency=medium

  * Update png files for futureprototype theme
  * Update gtkrc for futureprototype colours
  * debian/control:
    - Drop versioned dependency on dpkg-dev
    - Add self to uploaders
  * Add TODO item to move to machine-readable copyright file

 -- Jonathan Carter <jcc@debian.org>  Fri, 18 Jan 2019 09:54:16 +0200

rootskel-gtk (1.40) unstable; urgency=medium

  * Team upload
  * Use 'Noto Serif Gujarati' font for Gujarati now. (Closes: #911705,
    #915825)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 10 Jan 2019 23:05:55 +0100

rootskel-gtk (1.39) unstable; urgency=medium

  [ Samuel Thibault ]
  * Apply font zoom set by cdebconf shortcut.

  [ Holger Wansing ]
  * Remove trailing whitespace from changelog file, to fix lintian tag.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Dec 2018 19:25:45 +0100

rootskel-gtk (1.38) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 27 Aug 2018 20:28:44 +0200

rootskel-gtk (1.37) unstable; urgency=medium

  [ Samuel Thibault ]
  [ Sagar सागर]
  * Increase font size of mr_IN locale (Closes: #863952).

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Jun 2017 07:55:47 +0200

rootskel-gtk (1.36) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Customize GTK controls colors to match soft Waves theme colors.
  * Upgrade soft Waves theme banners to latest versions provided by Juliette
    Taka BELIN.
  * Improve banner for high contrast installer.
  * Added myself to the list of uploaders.

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Dec 2016 05:58:53 +0100

rootskel-gtk (1.35) unstable; urgency=medium

  * Use "Noto Sans Sinhala" for Sinhala (si_*) locales

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Nov 2016 16:13:44 +0100

rootskel-gtk (1.34) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Adapt standard and dark installer banners to Stretch default theme
    Soft Waves, by Juliette Taka BELIN (Closes: #793125).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 31 Oct 2016 15:17:48 +0100

rootskel-gtk (1.33) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Feb 2016 05:55:22 +0100

rootskel-gtk (1.32) unstable; urgency=medium

  * Adjust the banner files, dropping the '8' there which might be
    confusing as we're still using the Jessie theme for Stretch
    pre-releases (See: #793125).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Aug 2015 00:35:20 +0200

rootskel-gtk (1.31) unstable; urgency=medium

  * Use the Jessie Lines theme for the installer
  * Create a dark Lines banner to replace the dark Joy banner too

 -- Didier Raboud <odyx@debian.org>  Mon, 22 Dec 2014 21:48:18 +0100

rootskel-gtk (1.30) unstable; urgency=medium

  * Update gtk-set-font to learn a new mapping: pa → "Lohit Punjabi".

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Sep 2014 18:19:46 +0200

rootskel-gtk (1.29) unstable; urgency=medium

  * Add support for dpms={false,true} through the kernel command line
    to pass {-dpms,+dpms} to Xorg (Closes: #695270).
  * debian/rules: Make only build-arch generate debian/templates; it's
    sufficient anyway, and otherwise the build target gets messed up
    somehow and one gets an empty binary.
  * Add a banner for theme=dark, thanks to Adrien Aubourg, and adapt the
    Makefile accordingly to handle both banners (Closes: #696969).
    cdebconf's gtk backend can then load logo_installer_dark.png as the
    banner (See: #740358).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 04 Mar 2014 17:54:22 +0100

rootskel-gtk (1.28) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:54:41 +0200

rootskel-gtk (1.27) unstable; urgency=low

  * Team upload.
  * Revert passing -terminate to the X server, to unbreak theme=dark.
    brltty starting from 4.4-8 terminates X instead of debconf, so it's not
    needed any more. Closes: #696968.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Jan 2013 01:10:10 +0100

rootskel-gtk (1.26) unstable; urgency=low

  * Apply patch from Paul Tagliamonte to update the banner: the Debian
    logo is now DFSG-free, yay!
  * Update TODO: symlinks were removed in 1.16 and 1.17.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 17 Sep 2012 17:18:20 +0200

rootskel-gtk (1.25) unstable; urgency=low

  [ Julien Cristau ]
  * Generate the png banner from source at build time.

  [ Christian Perrier ]
  * Replace XC-Package-Type by Package-Type

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 12:15:46 +0200

rootskel-gtk (1.24) unstable; urgency=low

  * Team upload.

  [ Christian Perrier ]
  * Use Tibetan Machine Uni font for Tibetan

  [ Julien Cristau ]
  * Generate debian/templates in build-arch as well as build, so it doesn't
    go missing on binary-only builds.

  [ Joey Hess ]
  * Revert changes made to use spacefun theme in installer.

  [ Didier Raboud ]
  * Use the Wheezy Joy theme for the installer.

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 13:58:12 -0600

rootskel-gtk (1.23) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Pass -terminate option to X server, so that brltty can nicely kill debconf
    and see Xorg terminate as a consequence.

  [ Christian Perrier ]
  * Increase font size for Kannada. Closes: #646906
  * Set myself as Uploader

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Fri, 28 Oct 2011 18:26:27 +0200

rootskel-gtk (1.22) unstable; urgency=low

  [ Miguel Figueiredo ]
  * Move mouse-x86 to mouse-linux as it nows depends on the OS and not on the
    CPU. Closes: #596584.
  * Remove unused powerpc reference. Part of #596584.

  [ Christian Perrier ]
  * gtk-set-font: select font UKIJ Tuz for Uyghur with font size
    increased by 1 point.

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 May 2011 17:24:30 +0200

rootskel-gtk (1.21) unstable; urgency=low

  * Use SpaceFun theme for installer.

 -- Otavio Salvador <otavio@debian.org>  Sun, 12 Dec 2010 19:26:38 -0200

rootskel-gtk (1.20) unstable; urgency=low

  * Do not start Xorg when running in live-installer.

 -- Otavio Salvador <otavio@debian.org>  Tue, 27 Jul 2010 02:20:28 -0300

rootskel-gtk (1.19) unstable; urgency=low

  [ Frans Pop ]
  * Drop dependency on gtk2-engines-udeb and mouse-modules. Leave it to
    pkg-lists to include them instead.

  [ Julien Cristau ]
  * Only start X if we're using the GTK frontend. Also try to not start X
    clients before the server is ready to accept connections. Closes: #575751.

 -- Frans Pop <fjp@debian.org>  Sun, 04 Apr 2010 19:00:22 +0200

rootskel-gtk (1.18) unstable; urgency=low

  [ Julien Cristau / Frans Pop ]
  * Switch to X.Org instead of DirectFB as backend (closes: #574288):
    - No longer install directfb-related files, but keep them in the source
      for now.
    - src/lib/debian-installer.d/S62Xorg: new script to start the X server.

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 02:10:09 +0100

rootskel-gtk (1.17) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * No longer create the /usr/local/etc->/etc symlink. It was added to
    suppress a message on VT1 when directfb is loaded, but that is no longer
    displayed because we now set the 'quiet' option in /etc/directfbrc.
    Closes: #552584.

 -- Frans Pop <fjp@debian.org>  Wed, 28 Oct 2009 16:52:12 +0100

rootskel-gtk (1.16) unstable; urgency=low

  * Add symlink logo_installer.png to logo_debian.png to allow "unbranding" of
    that file name in cdebconf.

 -- Frans Pop <fjp@debian.org>  Fri, 22 May 2009 13:52:27 +0200

rootskel-gtk (1.15) unstable; urgency=low

  [ Ian Campbell ]
  * Accept Xen virtual framebuffer as valid for graphical installation.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 26 Aug 2008 11:04:11 +0200

rootskel-gtk (1.14) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Silence DirectFB banner by adding the "quiet" option in directfbrc.

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:40:15 -0300

rootskel-gtk (1.13) unstable; urgency=low

  * Since the switch from kernel 2.6.22-3 to 2.6.24-1 there have been problems
    typing special characters in the graphical frontend when using some
    keymaps. Not disabling the keyboard module in /etc/directfbrc solves this.
    That option was added to workaround an issue that prevented changing
    keymaps, but that still works (#395257). So it appears we can now safely
    use the directfb keyboard module and drop the workaround. Closes: 482335.
    There are still issues with dead keys.

 -- Frans Pop <fjp@debian.org>  Mon, 23 Jun 2008 03:40:51 +0200

rootskel-gtk (1.12) unstable; urgency=low

  [ Frans Pop ]
  * Correct defaults for mouse settings templates.

  [ Jérémy Bobbio ]
  * Add debian-installer.d/S62directfb-cairo-workaround, exporting
    CAIRO_DIRECTFB_NO_ACCEL to work around a repainting issue in
    Cairo/DirectFB (see #477331).

 -- Frans Pop <fjp@debian.org>  Thu, 08 May 2008 18:17:54 +0200

rootskel-gtk (1.11) unstable; urgency=low

  * Use more general "device" instead of "port" for mouse.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Apr 2008 15:03:19 +0200

rootskel-gtk (1.10) unstable; urgency=low

  * Make it possible to preseed the mouse protocol and port for directfb.
    See the man page for directfbrc for supported values for the protocol.
    Closes: #474296.
  * Correct template to check for left-handed mouse support.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Apr 2008 14:00:26 +0200

rootskel-gtk (1.09) unstable; urgency=low

  * gtk-set-font: use debconf/language instead of debian-installer/language
    and allow for the fact that can be a list. Closes: #470259.

 -- Frans Pop <fjp@debian.org>  Tue, 11 Mar 2008 15:46:46 +0100

rootskel-gtk (1.08) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Since the radeon HW accellerator module is no longer provided by udebs,
    it makes no sense to selectively disable it at boot time.

  [ Frans Pop ]
  * gtk-set-font: select font Abyssinica SIL for Amharic with font size
    increased by 1 point.

 -- Frans Pop <fjp@debian.org>  Sun, 13 Jan 2008 20:42:54 +0100

rootskel-gtk (1.07) unstable; urgency=low

  * Clearlooks gtkrc: comment out options not supported by directfb.

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:27:53 +0200

rootskel-gtk (1.06) unstable; urgency=low

  * Change udeb to Architecture: any.

 -- Frans Pop <fjp@debian.org>  Tue, 30 Jan 2007 21:29:24 +0100

rootskel-gtk (1.05) unstable; urgency=low

  * S61mouse-support-x86: also load the usbmouse module.

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:25:37 +0100

rootskel-gtk (1.04) unstable; urgency=low

  * gtk-set-font: make sure FONT_NAME is set even if we're only changing size.
  * gtk-set-font: increase font size for Malayalam.

 -- Frans Pop <fjp@debian.org>  Sun, 24 Dec 2006 01:20:55 +0100

rootskel-gtk (1.03) unstable; urgency=low

  * gtk-set-font: using grep's -s option is so much more elegant.
  * Disable directfb ps2mouse module (except for powerpc) because it can
    freeze the system while the linux_input module does not. This is needed
    only now as CONFIG_INPUT_MOUSEDEV was enabled by default in 2.6.18 which
    "activated" the ps2mouse directfb module. Thanks to Attilio Fiandrotti for
    providing the solution. Closes: #403268.

 -- Frans Pop <fjp@debian.org>  Sat, 16 Dec 2006 11:25:46 +0100

rootskel-gtk (1.02) unstable; urgency=low

  * Disable directfb keyboard module (except for powerpc) because that
    currently provides better keymap support. Workaround for #395257.
    Thanks to Attilio Fiandrotti for his research on this.
  * Add "dark" accessibility theme created by Denis Barbier.
    Requires fontconfig-udeb 2.4.2-1.
  * For x86, check that VESA framebuffer is available and configure directfb
    to use the correct framebuffer device if it is not on /dev/fb0.
    Based on patches from. Closes: #401685.
  * gtk-set-font: update fonts and fontsizes to be set.

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:44:07 +0100

rootskel-gtk (1.01) unstable; urgency=low

  * Don't fail if evdev or psmouse modules cannot be loaded as they may be
    compiled into the kernel. Closes: #396482.
  * Add support for mouse/left boot parameter to enable left-handed mouse.
    Closes: #396463.
  * Remove workaround for fr-latin9 keymap from 0.14; keymap was modified.

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 18:04:39 +0100

rootskel-gtk (1.00) unstable; urgency=low

  * Use red in Clearlooks theme to match logo.
  * Version bump.

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:33:57 +0200

rootskel-gtk (0.14) unstable; urgency=low

  * Add workaround for non-working shift key in fr-latin9 keymap (#339352).

 -- Frans Pop <fjp@debian.org>  Tue, 17 Oct 2006 00:24:50 +0200

rootskel-gtk (0.13) unstable; urgency=low

  * Set default theme to Clearlooks and include config file for that.

 -- Frans Pop <fjp@debian.org>  Sat, 14 Oct 2006 12:51:42 +0200

rootskel-gtk (0.12) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Made DirectFB backgound colour consistent with GTK's. Closes: #390894.

  [ Frans Pop ]
  * Add temporary hacks to work around directfb breakage on powerpc; based on
    patch from Attilio Fiandrotti. Closes: 390565.

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 05:02:22 +0200

rootskel-gtk (0.11) unstable; urgency=low

  * Disable directfb hardware acceleration by default; allow to enable using
    directfb/hw-accel.
  * Drop gdk-pixbuf.loaders as it is now included in gtk udebs.

 -- Frans Pop <fjp@debian.org>  Sat, 23 Sep 2006 17:29:42 +0200

rootskel-gtk (0.10) unstable; urgency=low

  * Improve font/theme switching scripts.
  * Use correct font name for the default configuration: "DejaVu Sans".
  * Add Lintian override for standards-version.

 -- Frans Pop <fjp@debian.org>  Tue, 19 Sep 2006 02:32:39 +0200

rootskel-gtk (0.09) unstable; urgency=low

  * Update for compatibility with GTK 2.8 library.
    - Change default font size to 9pt.
    - Enable linux_input again as otherwise the mouse does not work in vmware.
    - Keep gtk config file gdk-pixbuf.loaders for now because file in gtk udeb
      is empty; remove gtk.immodules as it is no longer needed.
  * Add ppc64 to architecture list.

 -- Frans Pop <fjp@debian.org>  Fri, 11 Aug 2006 19:23:29 +0200

rootskel-gtk (0.08) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Disable DFB's linux_input module to make touchpads work.
    Closes: #372892, #372773.

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 14:06:27 +0200

rootskel-gtk (0.07) unstable; urgency=low

  [ Frans Pop ]
  * Add scripts to set font and theme.
  * Drop the 65fontconfig script: fc-cache is no longer included in the
    fontconfig udeb and its maintainer tells us that running fc-cache is
    not really needed for the installer anyway.

  [ Joey Hess ]
  * Add kfreebsd to arch list. Closes: #363661.

  [ Davide Viti ]
  * Change default font to Dejavu at 11pt.

 -- Frans Pop <fjp@debian.org>  Thu, 18 May 2006 00:54:36 +0200

rootskel-gtk (0.06) unstable; urgency=low

  * Build for all arches, except m68k and s/390.

 -- Frans Pop <fjp@debian.org>  Wed, 11 Jan 2006 23:16:59 +0100

rootskel-gtk (0.05) unstable; urgency=low

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm transition.

  [ Frans Pop ]
  * Remove symlink for loaders directory as the loaders are now in the proper
    directory in the libgtk+2.0-directfb0 udeb.

  [ Attilio Fiandrotti ]
  * Added /etc/directfbrc configuration file for DirectFrameBuffer to store
    screenshots into /var/log (closes: #341880).

 -- Frans Pop <fjp@debian.org>  Mon, 26 Dec 2005 16:12:10 +0100

rootskel-gtk (0.04) unstable; urgency=low

  * Load mouse modules for powerpc.

 -- Frans Pop <fjp@debian.org>  Mon,  7 Nov 2005 15:35:07 +0100

rootskel-gtk (0.03) unstable; urgency=low

  * Add new icons created by Eduardo Silva.

 -- Frans Pop <fjp@debian.org>  Thu,  3 Nov 2005 19:19:41 +0100

rootskel-gtk (0.02) unstable; urgency=low

  * Use dh_link to create symlinks.
  * Make init script to load mouse modules arch-dependent.
  * Build for more architectures.

 -- Frans Pop <fjp@debian.org>  Tue, 18 Oct 2005 19:38:28 +0200

rootskel-gtk (0.01) unstable; urgency=low

  * Initial release

 -- Frans Pop <fjp@debian.org>  Sat,  6 Aug 2005 16:53:55 +0200
